@import "src/assets/styles/_for-react-components.scss";

$parent: "react-range-input";

@include block($parent) {
  position: relative;

  @include element($parent, 'dummy') {
    padding: 0 rem(5);
    white-space: nowrap;
    visibility: hidden;
  }

  @include element($parent, 'input') {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    margin-top: -1px;
    padding: 0;
    border: none;
    background-color: transparent;
    color: var(--color-grey-500);
    white-space: nowrap;
    text-align: left;

    transition: border-color 0.3s;

    &::placeholder {
      color: var(--color-grey-300);
    }

    @include min-media('t') {
      margin-top: 0;
    }

    @include min-media('d') {
      inset: -1px 0 0 0;
    }
  }

  @include modifier($parent, 'right') {
    @include element($parent, 'input') {
      text-align: right;
    }
  }
}
